> For the complete documentation index, see [llms.txt](https://docs.ospree.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ospree.io/developers/travel-rule/api-endpoints/list-transfers.md).

# List Transfers

<mark style="color:green;">`GET`</mark>  `/api/v2/travelrule/transfers`

The endpoint provides a comprehensive overview of all initiated transfers between entities within the system. <br>

### Query Parameters

<table><thead><tr><th width="245.671875">Name</th><th>Type</th><th width="247.37109375">Description</th><th>Required</th></tr></thead><tbody><tr><td><code>page</code></td><td>integer</td><td><p>The current page number in pagination. </p><p></p><p>Minimum: <mark style="color:orange;"><code>1</code></mark></p><p>Default: <mark style="color:orange;"><code>1</code></mark></p></td><td>false</td></tr><tr><td><code>size</code></td><td>integer</td><td><p>The size or number of records per page. </p><p></p><p>Minimum: <mark style="color:orange;"><code>1</code></mark></p><p>Default: <mark style="color:orange;"><code>50</code></mark></p></td><td>false</td></tr><tr><td><code>sort</code></td><td>string</td><td><p>Criteria for result sorting. </p><p></p><p>Examples:</p><ul><li><mark style="color:orange;"><code>-amount</code></mark></li><li><mark style="color:orange;"><code>amount</code></mark></li></ul></td><td>false</td></tr><tr><td><code>dti</code></td><td>string</td><td><p>Unique identifier for the assets based on DTIF standards.  </p><p></p><p>Example: <mark style="color:orange;"><code>4H95J0R2X</code></mark>(see <a href="https://dtif.org">https://dtif.org</a>)</p></td><td>false</td></tr><tr><td><code>beneficiary_vasp_id</code></td><td>string</td><td><p>ID of the receiving Virtual Asset Service Provider (VASP). </p><p></p><p>Example: <mark style="color:orange;"><code>ABCXYZ</code></mark></p></td><td>false</td></tr><tr><td><code>originator_address</code></td><td>string</td><td><p>Blockchain address of the sender. </p><p></p><p>Example: <mark style="color:orange;"><code>12higDjoCCNXSA95xZMWUdPvXNmkAduhWv</code></mark></p></td><td>false</td></tr><tr><td><code>beneficiary_address</code></td><td>string</td><td><p>Blockchain address of the recipient. </p><p></p><p>Example: <mark style="color:orange;"><code>bc1qas2rvpejpvncd6z5hcscvw52n4wxw5th2de67v</code></mark></p></td><td>false</td></tr><tr><td><code>originator_account_reference_id</code></td><td>string</td><td><p>Sender's account ID within the originator VASP. </p><p></p><p>Example: <mark style="color:orange;"><code>account5678</code></mark></p></td><td>false</td></tr><tr><td><code>beneficiary_account_reference_id</code></td><td>string</td><td><p>Recipient's account ID within the originator VASP. </p><p></p><p>Example: <mark style="color:orange;"><code>account1234</code></mark></p></td><td>false</td></tr><tr><td><code>direction</code></td><td>string</td><td><p>Identifier indicating the direction of the transfer. </p><p></p><p>Accepted values:</p><ul><li><mark style="color:orange;"><code>incoming</code></mark></li><li><mark style="color:orange;"><code>outgoing</code></mark></li></ul></td><td>false</td></tr><tr><td><code>transfer_status</code></td><td>string</td><td><p>Identifier indicating the current status of the transfer.</p><p></p><p>Accepted values: </p><ul><li><mark style="color:orange;"><code>initiated</code></mark></li><li><mark style="color:orange;"><code>canceled</code></mark></li><li><mark style="color:orange;"><code>review</code></mark></li><li><mark style="color:orange;"><code>accepted</code></mark></li><li><mark style="color:orange;"><code>rejected</code></mark></li><li><mark style="color:orange;"><code>completed</code></mark></li></ul></td><td>false</td></tr><tr><td><code>beneficiary_account_type</code></td><td>string</td><td><p>Type of the recipient's account. </p><p></p><p>Accepted values:</p><ul><li><mark style="color:orange;"><code>entity</code></mark></li><li><mark style="color:orange;"><code>individual</code></mark></li></ul></td><td>false</td></tr><tr><td><code>transaction_hash</code></td><td>string</td><td>The unique hash of the crypto transaction.</td><td>false</td></tr><tr><td><code>start_date</code></td><td>string</td><td>The minimum date the transfer was initiated.<br><br>Example: 2025-01-01</td><td>false</td></tr><tr><td><code>end_date</code></td><td>string</td><td>The maximum date the transfer was initiated.<br><br>Example: 2025-04-30</td><td>false</td></tr></tbody></table>

{% tabs %}
{% tab title="RESPONSE" %}

```json
{
  "status": "success",
  "data": {
    "items": [
      {
        "transfer_id": "018f7212-18be-7713-ad7c-89704e18bd5c",
        "reference_id": "reference-transfer-01",
        "amount": 1,
        "amount_usd": 101234.00,
        "dti": "4H95J0R2X",
        "chain": "bitcoin",
        "symbol": "BTC",
        "protocol": "flow",
        "originator_vasp_id": "ZSHTUF",
        "beneficiary_vasp_id": "ABCXYZ",
        "originator_address": "12higDjoCCNXSA95xZMWUdPvXNmkAduhWv",
        "originator_address_is_self_hosted": false,
        "beneficiary_address": "bc1qas2rvpejpvncd6z5hcscvw52n4wxw5th2de67v",
        "beneficiary_address_is_self_hosted": false,
        "routing_number": "1234XYZ",
        "originator_account_reference_id": "account5678",
        "beneficiary_account_reference_id": "account1234",
        "direction": "Outgoing",
        "transaction_hash": "80003fee6bcbb2726b4d6466d690fce6caaa03771aada747eb0651637514b893",
        "transfer_status": "REVIEW",
        "transfer_type": "INSTRUCTION"
      }
    ],
    "total": 1,
    "page": 1,
    "size": 50
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ospree.io/developers/travel-rule/api-endpoints/list-transfers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
